commit: a617b793dd98ff98e034a1c37923f23160b3b156
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 13 07:01:42 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jan 14 17:52:00 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a617b793
dev-ruby/map: drop ruby22 since it does not actually work
Package-Manager: portage-2.2.26
dev-ruby/map/map-6.5.5.ebuild | 8 ++++++--
1 file changed, 6 insertions(+), 2 deletions(-)
diff --git a/dev-ruby/map/map-6.5.5.ebuild b/dev-ruby/map/map-6.5.5.ebuild
index 86dd642..44da6df 100644
--- a/dev-ruby/map/map-6.5.5.ebuild
+++ b/dev-ruby/map/map-6.5.5.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
-USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+USE_RUBY="ruby20 ruby21"
RUBY_FAKEGEM_TASK_DOC=""
@@ -20,3 +20,7 @@ LICENSE="|| ( Ruby BSD-2 )"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e 's/Config/RbConfig/' Rakefile || die
+}